org.apache.poi.ddf

## Enum EscherPropertyTypes

- java.lang.Object
- - java.lang.Enum<EscherPropertyTypes>
  - - org.apache.poi.ddf.EscherPropertyTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EscherPropertyTypes>

      public enum EscherPropertyTypes
      extends java.lang.Enum<EscherPropertyTypes>

  Provides a list of all known escher properties including the description and type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLIP__BLIPFILENAME`
    `BLIP__BLIPFLAGS`
    `BLIP__BLIPTODISPLAY`
    `BLIP__BRIGHTNESSSETTING`
    `BLIP__CONTRASTSETTING`
    `BLIP__CROPFROMBOTTOM`
    `BLIP__CROPFROMLEFT`
    `BLIP__CROPFROMRIGHT`
    `BLIP__CROPFROMTOP`
    `BLIP__DOUBLEMOD`
    `BLIP__GAMMA`
    `BLIP__NOHITTESTPICTURE`
    `BLIP__PICTUREACTIVE`
    `BLIP__PICTUREBILEVEL`
    `BLIP__PICTUREFILLMOD`
    `BLIP__PICTUREGRAY`
    `BLIP__PICTUREID`
    `BLIP__PICTURELINE`
    `BLIP__PRINTBLIP`
    `BLIP__PRINTBLIPFILENAME`
    `BLIP__PRINTFLAGS`
    `BLIP__TRANSPARENTCOLOR`
    `CALLOUT__CALLOUTACCENTBAR`
    `CALLOUT__CALLOUTANGLE`
    `CALLOUT__CALLOUTDROPSPECIFIED`
    `CALLOUT__CALLOUTDROPTYPE`
    `CALLOUT__CALLOUTLENGTHSPECIFIED`
    `CALLOUT__CALLOUTMINUSX`
    `CALLOUT__CALLOUTMINUSY`
    `CALLOUT__CALLOUTTEXTBORDER`
    `CALLOUT__CALLOUTTYPE`
    `CALLOUT__DROPAUTO`
    `CALLOUT__ISCALLOUT`
    `CALLOUT__LENGTHSPECIFIED`
    `CALLOUT__XYCALLOUTGAP`
    `FILL__ANGLE`
    `FILL__BACKOPACITY`
    `FILL__BLIPFILENAME`
    `FILL__BLIPFLAGS`
    `FILL__CRMOD`
    `FILL__DZTYPE`
    `FILL__FILLBACKCOLOR`
    `FILL__FILLCOLOR`
    `FILL__FILLED`
    `FILL__FILLOPACITY`
    `FILL__FILLTYPE`
    `FILL__FOCUS`
    `FILL__HEIGHT`
    `FILL__HITTESTFILL`
    `FILL__NOFILLHITTEST`
    `FILL__ORIGINX`
    `FILL__ORIGINY`
    `FILL__PATTERNTEXTURE`
    `FILL__RECTBOTTOM`
    `FILL__RECTLEFT`
    `FILL__RECTRIGHT`
    `FILL__RECTTOP`
    `FILL__SHADECOLORS`
    `FILL__SHADEPRESET`
    `FILL__SHADETYPE`
    `FILL__SHAPE`
    `FILL__SHAPEORIGINX`
    `FILL__SHAPEORIGINY`
    `FILL__TOBOTTOM`
    `FILL__TOLEFT`
    `FILL__TORIGHT`
    `FILL__TOTOP`
    `FILL__USERECT`
    `FILL__WIDTH`
    `GEOMETRY__3DOK`
    `GEOMETRY__ADJUST10VALUE`
    `GEOMETRY__ADJUST2VALUE`
    `GEOMETRY__ADJUST3VALUE`
    `GEOMETRY__ADJUST4VALUE`
    `GEOMETRY__ADJUST5VALUE`
    `GEOMETRY__ADJUST6VALUE`
    `GEOMETRY__ADJUST7VALUE`
    `GEOMETRY__ADJUST8VALUE`
    `GEOMETRY__ADJUST9VALUE`
    `GEOMETRY__ADJUSTVALUE`
    `GEOMETRY__BOTTOM`
    `GEOMETRY__CXK`
    `GEOMETRY__FILLOK`
    `GEOMETRY__FILLSHADESHAPEOK`
    `GEOMETRY__GEOTEXTOK`
    `GEOMETRY__LEFT`
    `GEOMETRY__LINEOK`
    `GEOMETRY__PADJUSTHANDLES`
    `GEOMETRY__PCONNECTIONSITES`
    `GEOMETRY__PCONNECTIONSITESDIR`
    `GEOMETRY__PFRAGMENTS`
    `GEOMETRY__PGUIDES`
    `GEOMETRY__PINSCRIBE`
    `GEOMETRY__RIGHT`
    `GEOMETRY__SEGMENTINFO`
    `GEOMETRY__SHADOWOK`
    `GEOMETRY__SHAPEPATH`
    `GEOMETRY__TOP`
    `GEOMETRY__VERTICES`
    `GEOMETRY__XLIMO`
    `GEOMETRY__YLIMO`
    `GEOTEXT__ALIGNMENTONCURVE`
    `GEOTEXT__BOLDFONT`
    `GEOTEXT__CHARBOUNDINGBOX`
    `GEOTEXT__DEFAULTPOINTSIZE`
    `GEOTEXT__FONTFAMILYNAME`
    `GEOTEXT__HASTEXTEFFECT`
    `GEOTEXT__ITALICFONT`
    `GEOTEXT__KERNCHARACTERS`
    `GEOTEXT__NOMEASUREALONGPATH`
    `GEOTEXT__REVERSEROWORDER`
    `GEOTEXT__ROTATECHARACTERS`
    `GEOTEXT__RTFTEXT`
    `GEOTEXT__SCALETEXTONPATH`
    `GEOTEXT__SHADOWFONT`
    `GEOTEXT__SMALLCAPSFONT`
    `GEOTEXT__STRETCHCHARHEIGHT`
    `GEOTEXT__STRETCHTOFITSHAPE`
    `GEOTEXT__STRIKETHROUGHFONT`
    `GEOTEXT__TEXTSPACING`
    `GEOTEXT__TIGHTORTRACK`
    `GEOTEXT__UNDERLINEFONT`
    `GEOTEXT__UNICODE`
    `GROUPSHAPE__1DADJUSTMENT`
    `GROUPSHAPE__BEHINDDOCUMENT`
    `GROUPSHAPE__BORDERBOTTOMCOLOR`
    `GROUPSHAPE__BORDERLEFTCOLOR`
    `GROUPSHAPE__BORDERRIGHTCOLOR`
    `GROUPSHAPE__BORDERTOPCOLOR`
    `GROUPSHAPE__DESCRIPTION`
    `GROUPSHAPE__EDITEDWRAP`
    `GROUPSHAPE__FLAGS`
    `GROUPSHAPE__HIDDEN`
    `GROUPSHAPE__HR_ALIGN`
    `GROUPSHAPE__HR_HEIGHT`
    `GROUPSHAPE__HR_PCT`
    `GROUPSHAPE__HR_WIDTH`
    `GROUPSHAPE__HYPERLINK`
    `GROUPSHAPE__ISBUTTON`
    `GROUPSHAPE__METROBLOB`
    `GROUPSHAPE__ONDBLCLICKNOTIFY`
    `GROUPSHAPE__POSH`
    `GROUPSHAPE__POSRELH`
    `GROUPSHAPE__POSRELV`
    `GROUPSHAPE__POSV`
    `GROUPSHAPE__REGROUPID`
    `GROUPSHAPE__SCRIPT`
    `GROUPSHAPE__SCRIPTEXT`
    `GROUPSHAPE__SCRIPTLANG`
    `GROUPSHAPE__SHAPENAME`
    `GROUPSHAPE__TABLEPROPERTIES`
    `GROUPSHAPE__TABLEROWPROPERTIES`
    `GROUPSHAPE__TOOLTIP`
    `GROUPSHAPE__UNUSED906`
    `GROUPSHAPE__WEBBOT`
    `GROUPSHAPE__WRAPDISTBOTTOM`
    `GROUPSHAPE__WRAPDISTLEFT`
    `GROUPSHAPE__WRAPDISTRIGHT`
    `GROUPSHAPE__WRAPDISTTOP`
    `GROUPSHAPE__WRAPPOLYGONVERTICES`
    `GROUPSHAPE__ZORDER`
    `LINESTYLE__ANYLINE`
    `LINESTYLE__ARROWHEADSOK`
    `LINESTYLE__BACKCOLOR`
    `LINESTYLE__COLOR`
    `LINESTYLE__CRMOD`
    `LINESTYLE__FILLBLIP`
    `LINESTYLE__FILLBLIPFLAGS`
    `LINESTYLE__FILLBLIPNAME`
    `LINESTYLE__FILLDZTYPE`
    `LINESTYLE__FILLHEIGHT`
    `LINESTYLE__FILLWIDTH`
    `LINESTYLE__HITLINETEST`
    `LINESTYLE__LINEDASHING`
    `LINESTYLE__LINEDASHSTYLE`
    `LINESTYLE__LINEENDARROWHEAD`
    `LINESTYLE__LINEENDARROWLENGTH`
    `LINESTYLE__LINEENDARROWWIDTH`
    `LINESTYLE__LINEENDCAPSTYLE`
    `LINESTYLE__LINEFILLSHAPE`
    `LINESTYLE__LINEJOINSTYLE`
    `LINESTYLE__LINEMITERLIMIT`
    `LINESTYLE__LINESTARTARROWHEAD`
    `LINESTYLE__LINESTARTARROWLENGTH`
    `LINESTYLE__LINESTARTARROWWIDTH`
    `LINESTYLE__LINESTYLE`
    `LINESTYLE__LINETYPE`
    `LINESTYLE__LINEWIDTH`
    `LINESTYLE__NOLINEDRAWDASH`
    `LINESTYLE__NOLINEDRAWDASH_BOTTOM`
    `LINESTYLE__NOLINEDRAWDASH_LEFT`
    `LINESTYLE__NOLINEDRAWDASH_RIGHT`
    `LINESTYLE__NOLINEDRAWDASH_TOP`
    `LINESTYLE__OPACITY`
    `PERSPECTIVE__OFFSETX`
    `PERSPECTIVE__OFFSETY`
    `PERSPECTIVE__ORIGINX`
    `PERSPECTIVE__ORIGINY`
    `PERSPECTIVE__PERSPECTIVEON`
    `PERSPECTIVE__PERSPECTIVEX`
    `PERSPECTIVE__PERSPECTIVEY`
    `PERSPECTIVE__SCALEXTOX`
    `PERSPECTIVE__SCALEXTOY`
    `PERSPECTIVE__SCALEYTOX`
    `PERSPECTIVE__SCALEYTOY`
    `PERSPECTIVE__TYPE`
    `PERSPECTIVE__WEIGHT`
    `PROTECTION__LOCKADJUSTHANDLES`
    `PROTECTION__LOCKAGAINSTGROUPING`
    `PROTECTION__LOCKAGAINSTSELECT`
    `PROTECTION__LOCKASPECTRATIO`
    `PROTECTION__LOCKCROPPING`
    `PROTECTION__LOCKPOSITION`
    `PROTECTION__LOCKROTATION`
    `PROTECTION__LOCKTEXT`
    `PROTECTION__LOCKVERTICES`
    `RESERVED646`
    `RESERVED650`
    `RESERVED652`
    `RESERVED653`
    `SHADOWSTYLE__COLOR`
    `SHADOWSTYLE__CRMOD`
    `SHADOWSTYLE__HIGHLIGHT`
    `SHADOWSTYLE__OFFSETX`
    `SHADOWSTYLE__OFFSETY`
    `SHADOWSTYLE__OPACITY`
    `SHADOWSTYLE__ORIGINX`
    `SHADOWSTYLE__ORIGINY`
    `SHADOWSTYLE__PERSPECTIVEX`
    `SHADOWSTYLE__PERSPECTIVEY`
    `SHADOWSTYLE__SCALEXTOX`
    `SHADOWSTYLE__SCALEXTOY`
    `SHADOWSTYLE__SCALEYTOX`
    `SHADOWSTYLE__SCALEYTOY`
    `SHADOWSTYLE__SECONDOFFSETX`
    `SHADOWSTYLE__SECONDOFFSETY`
    `SHADOWSTYLE__SHADOW`
    `SHADOWSTYLE__SHADOWOBSURED`
    `SHADOWSTYLE__TYPE`
    `SHADOWSTYLE__WEIGHT`
    `SHAPE__BACKGROUNDSHAPE`
    `SHAPE__BLACKANDWHITESETTINGS`
    `SHAPE__CONNECTORSTYLE`
    `SHAPE__DELETEATTACHEDOBJECT`
    `SHAPE__LOCKSHAPETYPE`
    `SHAPE__MASTER`
    `SHAPE__OLEICON`
    `SHAPE__PREFERRELATIVERESIZE`
    `SHAPE__WMODEBW`
    `SHAPE__WMODEPUREBW`
    `TEXT__ANCHORTEXT`
    `TEXT__BIDIR`
    `TEXT__FONTROTATION`
    `TEXT__IDOFNEXTSHAPE`
    `TEXT__ROTATETEXTWITHSHAPE`
    `TEXT__SCALETEXT`
    `TEXT__SINGLECLICKSELECTS`
    `TEXT__SIZE_TEXT_TO_FIT_SHAPE`
    `TEXT__SIZESHAPETOFITTEXT`
    `TEXT__TEXTBOTTOM`
    `TEXT__TEXTFLOW`
    `TEXT__TEXTID`
    `TEXT__TEXTLEFT`
    `TEXT__TEXTRIGHT`
    `TEXT__TEXTTOP`
    `TEXT__USEHOSTMARGINS`
    `TEXT__WRAPTEXT`
    `THREED__3DEFFECT`
    `THREED__BOOLEAN_PROPERTIES`
    `THREED__CRMOD`
    `THREED__DIFFUSEAMOUNT`
    `THREED__EDGETHICKNESS`
    `THREED__EXTRUDEBACKWARD`
    `THREED__EXTRUDEFORWARD`
    `THREED__EXTRUDEPLANE`
    `THREED__EXTRUSIONCOLOR`
    `THREED__EXTRUSIONCOLOREXT`
    `THREED__EXTRUSIONCOLOREXTMOD`
    `THREED__LIGHTFACE`
    `THREED__METALLIC`
    `THREED__SHININESS`
    `THREED__SPECULARAMOUNT`
    `THREED__USEEXTRUSIONCOLOR`
    `THREEDSTYLE__AMBIENTINTENSITY`
    `THREEDSTYLE__CONSTRAINROTATION`
    `THREEDSTYLE__FILLHARSH`
    `THREEDSTYLE__FILLINTENSITY`
    `THREEDSTYLE__FILLX`
    `THREEDSTYLE__FILLY`
    `THREEDSTYLE__FILLZ`
    `THREEDSTYLE__KEYHARSH`
    `THREEDSTYLE__KEYINTENSITY`
    `THREEDSTYLE__KEYX`
    `THREEDSTYLE__KEYY`
    `THREEDSTYLE__KEYZ`
    `THREEDSTYLE__ORIGINX`
    `THREEDSTYLE__ORIGINY`
    `THREEDSTYLE__PARALLEL`
    `THREEDSTYLE__RENDERMODE`
    `THREEDSTYLE__ROTATIONANGLE`
    `THREEDSTYLE__ROTATIONAXISX`
    `THREEDSTYLE__ROTATIONAXISY`
    `THREEDSTYLE__ROTATIONAXISZ`
    `THREEDSTYLE__ROTATIONCENTERAUTO`
    `THREEDSTYLE__ROTATIONCENTERX`
    `THREEDSTYLE__ROTATIONCENTERY`
    `THREEDSTYLE__ROTATIONCENTERZ`
    `THREEDSTYLE__SKEWAMOUNT`
    `THREEDSTYLE__SKEWANGLE`
    `THREEDSTYLE__TOLERANCE`
    `THREEDSTYLE__XROTATIONANGLE`
    `THREEDSTYLE__XVIEWPOINT`
    `THREEDSTYLE__YROTATIONANGLE`
    `THREEDSTYLE__YVIEWPOINT`
    `THREEDSTYLE__ZVIEWPOINT`
    `TRANSFORM__ROTATION`
    `UNKNOWN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EscherPropertyTypesHolder` | `holder`
    `java.lang.String` | `propName`
    `short` | `propNumber` the property number part of the property id, i.e.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EscherPropertyTypes` | `forPropertyID(int propertyId)`
    `short` | `getPropertyId()`
    `static EscherPropertyTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EscherPropertyTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSFORM__ROTATION

          public static final EscherPropertyTypes TRANSFORM__ROTATION

    - #### PROTECTION__LOCKROTATION

          public static final EscherPropertyTypes PROTECTION__LOCKROTATION

    - #### PROTECTION__LOCKASPECTRATIO

          public static final EscherPropertyTypes PROTECTION__LOCKASPECTRATIO

    - #### PROTECTION__LOCKPOSITION

          public static final EscherPropertyTypes PROTECTION__LOCKPOSITION

    - #### PROTECTION__LOCKAGAINSTSELECT

          public static final EscherPropertyTypes PROTECTION__LOCKAGAINSTSELECT

    - #### PROTECTION__LOCKCROPPING

          public static final EscherPropertyTypes PROTECTION__LOCKCROPPING

    - #### PROTECTION__LOCKVERTICES

          public static final EscherPropertyTypes PROTECTION__LOCKVERTICES

    - #### PROTECTION__LOCKTEXT

          public static final EscherPropertyTypes PROTECTION__LOCKTEXT

    - #### PROTECTION__LOCKADJUSTHANDLES

          public static final EscherPropertyTypes PROTECTION__LOCKADJUSTHANDLES

    - #### PROTECTION__LOCKAGAINSTGROUPING

          public static final EscherPropertyTypes PROTECTION__LOCKAGAINSTGROUPING

    - #### TEXT__TEXTID

          public static final EscherPropertyTypes TEXT__TEXTID

    - #### TEXT__TEXTLEFT

          public static final EscherPropertyTypes TEXT__TEXTLEFT

    - #### TEXT__TEXTTOP

          public static final EscherPropertyTypes TEXT__TEXTTOP

    - #### TEXT__TEXTRIGHT

          public static final EscherPropertyTypes TEXT__TEXTRIGHT

    - #### TEXT__TEXTBOTTOM

          public static final EscherPropertyTypes TEXT__TEXTBOTTOM

    - #### TEXT__WRAPTEXT

          public static final EscherPropertyTypes TEXT__WRAPTEXT

    - #### TEXT__SCALETEXT

          public static final EscherPropertyTypes TEXT__SCALETEXT

    - #### TEXT__ANCHORTEXT

          public static final EscherPropertyTypes TEXT__ANCHORTEXT

    - #### TEXT__TEXTFLOW

          public static final EscherPropertyTypes TEXT__TEXTFLOW

    - #### TEXT__FONTROTATION

          public static final EscherPropertyTypes TEXT__FONTROTATION

    - #### TEXT__IDOFNEXTSHAPE

          public static final EscherPropertyTypes TEXT__IDOFNEXTSHAPE

    - #### TEXT__BIDIR

          public static final EscherPropertyTypes TEXT__BIDIR

    - #### TEXT__SINGLECLICKSELECTS

          public static final EscherPropertyTypes TEXT__SINGLECLICKSELECTS

    - #### TEXT__USEHOSTMARGINS

          public static final EscherPropertyTypes TEXT__USEHOSTMARGINS

    - #### TEXT__ROTATETEXTWITHSHAPE

          public static final EscherPropertyTypes TEXT__ROTATETEXTWITHSHAPE

    - #### TEXT__SIZESHAPETOFITTEXT

          public static final EscherPropertyTypes TEXT__SIZESHAPETOFITTEXT

    - #### TEXT__SIZE_TEXT_TO_FIT_SHAPE

          public static final EscherPropertyTypes TEXT__SIZE_TEXT_TO_FIT_SHAPE

    - #### GEOTEXT__UNICODE

          public static final EscherPropertyTypes GEOTEXT__UNICODE

    - #### GEOTEXT__RTFTEXT

          public static final EscherPropertyTypes GEOTEXT__RTFTEXT

    - #### GEOTEXT__ALIGNMENTONCURVE

          public static final EscherPropertyTypes GEOTEXT__ALIGNMENTONCURVE

    - #### GEOTEXT__DEFAULTPOINTSIZE

          public static final EscherPropertyTypes GEOTEXT__DEFAULTPOINTSIZE

    - #### GEOTEXT__TEXTSPACING

          public static final EscherPropertyTypes GEOTEXT__TEXTSPACING

    - #### GEOTEXT__FONTFAMILYNAME

          public static final EscherPropertyTypes GEOTEXT__FONTFAMILYNAME

    - #### GEOTEXT__REVERSEROWORDER

          public static final EscherPropertyTypes GEOTEXT__REVERSEROWORDER

    - #### GEOTEXT__HASTEXTEFFECT

          public static final EscherPropertyTypes GEOTEXT__HASTEXTEFFECT

    - #### GEOTEXT__ROTATECHARACTERS

          public static final EscherPropertyTypes GEOTEXT__ROTATECHARACTERS

    - #### GEOTEXT__KERNCHARACTERS

          public static final EscherPropertyTypes GEOTEXT__KERNCHARACTERS

    - #### GEOTEXT__TIGHTORTRACK

          public static final EscherPropertyTypes GEOTEXT__TIGHTORTRACK

    - #### GEOTEXT__STRETCHTOFITSHAPE

          public static final EscherPropertyTypes GEOTEXT__STRETCHTOFITSHAPE

    - #### GEOTEXT__CHARBOUNDINGBOX

          public static final EscherPropertyTypes GEOTEXT__CHARBOUNDINGBOX

    - #### GEOTEXT__SCALETEXTONPATH

          public static final EscherPropertyTypes GEOTEXT__SCALETEXTONPATH

    - #### GEOTEXT__STRETCHCHARHEIGHT

          public static final EscherPropertyTypes GEOTEXT__STRETCHCHARHEIGHT

    - #### GEOTEXT__NOMEASUREALONGPATH

          public static final EscherPropertyTypes GEOTEXT__NOMEASUREALONGPATH

    - #### GEOTEXT__BOLDFONT

          public static final EscherPropertyTypes GEOTEXT__BOLDFONT

    - #### GEOTEXT__ITALICFONT

          public static final EscherPropertyTypes GEOTEXT__ITALICFONT

    - #### GEOTEXT__UNDERLINEFONT

          public static final EscherPropertyTypes GEOTEXT__UNDERLINEFONT

    - #### GEOTEXT__SHADOWFONT

          public static final EscherPropertyTypes GEOTEXT__SHADOWFONT

    - #### GEOTEXT__SMALLCAPSFONT

          public static final EscherPropertyTypes GEOTEXT__SMALLCAPSFONT

    - #### GEOTEXT__STRIKETHROUGHFONT

          public static final EscherPropertyTypes GEOTEXT__STRIKETHROUGHFONT

    - #### BLIP__CROPFROMTOP

          public static final EscherPropertyTypes BLIP__CROPFROMTOP

    - #### BLIP__CROPFROMBOTTOM

          public static final EscherPropertyTypes BLIP__CROPFROMBOTTOM

    - #### BLIP__CROPFROMLEFT

          public static final EscherPropertyTypes BLIP__CROPFROMLEFT

    - #### BLIP__CROPFROMRIGHT

          public static final EscherPropertyTypes BLIP__CROPFROMRIGHT

    - #### BLIP__BLIPTODISPLAY

          public static final EscherPropertyTypes BLIP__BLIPTODISPLAY

    - #### BLIP__BLIPFILENAME

          public static final EscherPropertyTypes BLIP__BLIPFILENAME

    - #### BLIP__BLIPFLAGS

          public static final EscherPropertyTypes BLIP__BLIPFLAGS

    - #### BLIP__TRANSPARENTCOLOR

          public static final EscherPropertyTypes BLIP__TRANSPARENTCOLOR

    - #### BLIP__CONTRASTSETTING

          public static final EscherPropertyTypes BLIP__CONTRASTSETTING

    - #### BLIP__BRIGHTNESSSETTING

          public static final EscherPropertyTypes BLIP__BRIGHTNESSSETTING

    - #### BLIP__GAMMA

          public static final EscherPropertyTypes BLIP__GAMMA

    - #### BLIP__PICTUREID

          public static final EscherPropertyTypes BLIP__PICTUREID

    - #### BLIP__DOUBLEMOD

          public static final EscherPropertyTypes BLIP__DOUBLEMOD

    - #### BLIP__PICTUREFILLMOD

          public static final EscherPropertyTypes BLIP__PICTUREFILLMOD

    - #### BLIP__PICTURELINE

          public static final EscherPropertyTypes BLIP__PICTURELINE

    - #### BLIP__PRINTBLIP

          public static final EscherPropertyTypes BLIP__PRINTBLIP

    - #### BLIP__PRINTBLIPFILENAME

          public static final EscherPropertyTypes BLIP__PRINTBLIPFILENAME

    - #### BLIP__PRINTFLAGS

          public static final EscherPropertyTypes BLIP__PRINTFLAGS

    - #### BLIP__NOHITTESTPICTURE

          public static final EscherPropertyTypes BLIP__NOHITTESTPICTURE

    - #### BLIP__PICTUREGRAY

          public static final EscherPropertyTypes BLIP__PICTUREGRAY

    - #### BLIP__PICTUREBILEVEL

          public static final EscherPropertyTypes BLIP__PICTUREBILEVEL

    - #### BLIP__PICTUREACTIVE

          public static final EscherPropertyTypes BLIP__PICTUREACTIVE

    - #### GEOMETRY__LEFT

          public static final EscherPropertyTypes GEOMETRY__LEFT

    - #### GEOMETRY__TOP

          public static final EscherPropertyTypes GEOMETRY__TOP

    - #### GEOMETRY__RIGHT

          public static final EscherPropertyTypes GEOMETRY__RIGHT

    - #### GEOMETRY__BOTTOM

          public static final EscherPropertyTypes GEOMETRY__BOTTOM

    - #### GEOMETRY__SHAPEPATH

          public static final EscherPropertyTypes GEOMETRY__SHAPEPATH

    - #### GEOMETRY__VERTICES

          public static final EscherPropertyTypes GEOMETRY__VERTICES

    - #### GEOMETRY__SEGMENTINFO

          public static final EscherPropertyTypes GEOMETRY__SEGMENTINFO

    - #### GEOMETRY__ADJUSTVALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUSTVALUE

    - #### GEOMETRY__ADJUST2VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST2VALUE

    - #### GEOMETRY__ADJUST3VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST3VALUE

    - #### GEOMETRY__ADJUST4VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST4VALUE

    - #### GEOMETRY__ADJUST5VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST5VALUE

    - #### GEOMETRY__ADJUST6VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST6VALUE

    - #### GEOMETRY__ADJUST7VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST7VALUE

    - #### GEOMETRY__ADJUST8VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST8VALUE

    - #### GEOMETRY__ADJUST9VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST9VALUE

    - #### GEOMETRY__ADJUST10VALUE

          public static final EscherPropertyTypes GEOMETRY__ADJUST10VALUE

    - #### GEOMETRY__PCONNECTIONSITES

          public static final EscherPropertyTypes GEOMETRY__PCONNECTIONSITES

    - #### GEOMETRY__PCONNECTIONSITESDIR

          public static final EscherPropertyTypes GEOMETRY__PCONNECTIONSITESDIR

    - #### GEOMETRY__XLIMO

          public static final EscherPropertyTypes GEOMETRY__XLIMO

    - #### GEOMETRY__YLIMO

          public static final EscherPropertyTypes GEOMETRY__YLIMO

    - #### GEOMETRY__PADJUSTHANDLES

          public static final EscherPropertyTypes GEOMETRY__PADJUSTHANDLES

    - #### GEOMETRY__PGUIDES

          public static final EscherPropertyTypes GEOMETRY__PGUIDES

    - #### GEOMETRY__PINSCRIBE

          public static final EscherPropertyTypes GEOMETRY__PINSCRIBE

    - #### GEOMETRY__CXK

          public static final EscherPropertyTypes GEOMETRY__CXK

    - #### GEOMETRY__PFRAGMENTS

          public static final EscherPropertyTypes GEOMETRY__PFRAGMENTS

    - #### GEOMETRY__SHADOWOK

          public static final EscherPropertyTypes GEOMETRY__SHADOWOK

    - #### GEOMETRY__3DOK

          public static final EscherPropertyTypes GEOMETRY__3DOK

    - #### GEOMETRY__LINEOK

          public static final EscherPropertyTypes GEOMETRY__LINEOK

    - #### GEOMETRY__GEOTEXTOK

          public static final EscherPropertyTypes GEOMETRY__GEOTEXTOK

    - #### GEOMETRY__FILLSHADESHAPEOK

          public static final EscherPropertyTypes GEOMETRY__FILLSHADESHAPEOK

    - #### GEOMETRY__FILLOK

          public static final EscherPropertyTypes GEOMETRY__FILLOK

    - #### FILL__FILLTYPE

          public static final EscherPropertyTypes FILL__FILLTYPE

    - #### FILL__FILLCOLOR

          public static final EscherPropertyTypes FILL__FILLCOLOR

    - #### FILL__FILLOPACITY

          public static final EscherPropertyTypes FILL__FILLOPACITY

    - #### FILL__FILLBACKCOLOR

          public static final EscherPropertyTypes FILL__FILLBACKCOLOR

    - #### FILL__BACKOPACITY

          public static final EscherPropertyTypes FILL__BACKOPACITY

    - #### FILL__CRMOD

          public static final EscherPropertyTypes FILL__CRMOD

    - #### FILL__PATTERNTEXTURE

          public static final EscherPropertyTypes FILL__PATTERNTEXTURE

    - #### FILL__BLIPFILENAME

          public static final EscherPropertyTypes FILL__BLIPFILENAME

    - #### FILL__BLIPFLAGS

          public static final EscherPropertyTypes FILL__BLIPFLAGS

    - #### FILL__WIDTH

          public static final EscherPropertyTypes FILL__WIDTH

    - #### FILL__HEIGHT

          public static final EscherPropertyTypes FILL__HEIGHT

    - #### FILL__ANGLE

          public static final EscherPropertyTypes FILL__ANGLE

    - #### FILL__FOCUS

          public static final EscherPropertyTypes FILL__FOCUS

    - #### FILL__TOLEFT

          public static final EscherPropertyTypes FILL__TOLEFT

    - #### FILL__TOTOP

          public static final EscherPropertyTypes FILL__TOTOP

    - #### FILL__TORIGHT

          public static final EscherPropertyTypes FILL__TORIGHT

    - #### FILL__TOBOTTOM

          public static final EscherPropertyTypes FILL__TOBOTTOM

    - #### FILL__RECTLEFT

          public static final EscherPropertyTypes FILL__RECTLEFT

    - #### FILL__RECTTOP

          public static final EscherPropertyTypes FILL__RECTTOP

    - #### FILL__RECTRIGHT

          public static final EscherPropertyTypes FILL__RECTRIGHT

    - #### FILL__RECTBOTTOM

          public static final EscherPropertyTypes FILL__RECTBOTTOM

    - #### FILL__DZTYPE

          public static final EscherPropertyTypes FILL__DZTYPE

    - #### FILL__SHADEPRESET

          public static final EscherPropertyTypes FILL__SHADEPRESET

    - #### FILL__SHADECOLORS

          public static final EscherPropertyTypes FILL__SHADECOLORS

    - #### FILL__ORIGINX

          public static final EscherPropertyTypes FILL__ORIGINX

    - #### FILL__ORIGINY

          public static final EscherPropertyTypes FILL__ORIGINY

    - #### FILL__SHAPEORIGINX

          public static final EscherPropertyTypes FILL__SHAPEORIGINX

    - #### FILL__SHAPEORIGINY

          public static final EscherPropertyTypes FILL__SHAPEORIGINY

    - #### FILL__SHADETYPE

          public static final EscherPropertyTypes FILL__SHADETYPE

    - #### FILL__FILLED

          public static final EscherPropertyTypes FILL__FILLED

    - #### FILL__HITTESTFILL

          public static final EscherPropertyTypes FILL__HITTESTFILL

    - #### FILL__SHAPE

          public static final EscherPropertyTypes FILL__SHAPE

    - #### FILL__USERECT

          public static final EscherPropertyTypes FILL__USERECT

    - #### FILL__NOFILLHITTEST

          public static final EscherPropertyTypes FILL__NOFILLHITTEST

    - #### LINESTYLE__COLOR

          public static final EscherPropertyTypes LINESTYLE__COLOR

    - #### LINESTYLE__OPACITY

          public static final EscherPropertyTypes LINESTYLE__OPACITY

    - #### LINESTYLE__BACKCOLOR

          public static final EscherPropertyTypes LINESTYLE__BACKCOLOR

    - #### LINESTYLE__CRMOD

          public static final EscherPropertyTypes LINESTYLE__CRMOD

    - #### LINESTYLE__LINETYPE

          public static final EscherPropertyTypes LINESTYLE__LINETYPE

    - #### LINESTYLE__FILLBLIP

          public static final EscherPropertyTypes LINESTYLE__FILLBLIP

    - #### LINESTYLE__FILLBLIPNAME

          public static final EscherPropertyTypes LINESTYLE__FILLBLIPNAME

    - #### LINESTYLE__FILLBLIPFLAGS

          public static final EscherPropertyTypes LINESTYLE__FILLBLIPFLAGS

    - #### LINESTYLE__FILLWIDTH

          public static final EscherPropertyTypes LINESTYLE__FILLWIDTH

    - #### LINESTYLE__FILLHEIGHT

          public static final EscherPropertyTypes LINESTYLE__FILLHEIGHT

    - #### LINESTYLE__FILLDZTYPE

          public static final EscherPropertyTypes LINESTYLE__FILLDZTYPE

    - #### LINESTYLE__LINEWIDTH

          public static final EscherPropertyTypes LINESTYLE__LINEWIDTH

    - #### LINESTYLE__LINEMITERLIMIT

          public static final EscherPropertyTypes LINESTYLE__LINEMITERLIMIT

    - #### LINESTYLE__LINESTYLE

          public static final EscherPropertyTypes LINESTYLE__LINESTYLE

    - #### LINESTYLE__LINEDASHING

          public static final EscherPropertyTypes LINESTYLE__LINEDASHING

    - #### LINESTYLE__LINEDASHSTYLE

          public static final EscherPropertyTypes LINESTYLE__LINEDASHSTYLE

    - #### LINESTYLE__LINESTARTARROWHEAD

          public static final EscherPropertyTypes LINESTYLE__LINESTARTARROWHEAD

    - #### LINESTYLE__LINEENDARROWHEAD

          public static final EscherPropertyTypes LINESTYLE__LINEENDARROWHEAD

    - #### LINESTYLE__LINESTARTARROWWIDTH

          public static final EscherPropertyTypes LINESTYLE__LINESTARTARROWWIDTH

    - #### LINESTYLE__LINESTARTARROWLENGTH

          public static final EscherPropertyTypes LINESTYLE__LINESTARTARROWLENGTH

    - #### LINESTYLE__LINEENDARROWWIDTH

          public static final EscherPropertyTypes LINESTYLE__LINEENDARROWWIDTH

    - #### LINESTYLE__LINEENDARROWLENGTH

          public static final EscherPropertyTypes LINESTYLE__LINEENDARROWLENGTH

    - #### LINESTYLE__LINEJOINSTYLE

          public static final EscherPropertyTypes LINESTYLE__LINEJOINSTYLE

    - #### LINESTYLE__LINEENDCAPSTYLE

          public static final EscherPropertyTypes LINESTYLE__LINEENDCAPSTYLE

    - #### LINESTYLE__ARROWHEADSOK

          public static final EscherPropertyTypes LINESTYLE__ARROWHEADSOK

    - #### LINESTYLE__ANYLINE

          public static final EscherPropertyTypes LINESTYLE__ANYLINE

    - #### LINESTYLE__HITLINETEST

          public static final EscherPropertyTypes LINESTYLE__HITLINETEST

    - #### LINESTYLE__LINEFILLSHAPE

          public static final EscherPropertyTypes LINESTYLE__LINEFILLSHAPE

    - #### LINESTYLE__NOLINEDRAWDASH

          public static final EscherPropertyTypes LINESTYLE__NOLINEDRAWDASH

    - #### LINESTYLE__NOLINEDRAWDASH_LEFT

          public static final EscherPropertyTypes LINESTYLE__NOLINEDRAWDASH_LEFT

    - #### LINESTYLE__NOLINEDRAWDASH_TOP

          public static final EscherPropertyTypes LINESTYLE__NOLINEDRAWDASH_TOP

    - #### LINESTYLE__NOLINEDRAWDASH_BOTTOM

          public static final EscherPropertyTypes LINESTYLE__NOLINEDRAWDASH_BOTTOM

    - #### LINESTYLE__NOLINEDRAWDASH_RIGHT

          public static final EscherPropertyTypes LINESTYLE__NOLINEDRAWDASH_RIGHT

    - #### SHADOWSTYLE__TYPE

          public static final EscherPropertyTypes SHADOWSTYLE__TYPE

    - #### SHADOWSTYLE__COLOR

          public static final EscherPropertyTypes SHADOWSTYLE__COLOR

    - #### SHADOWSTYLE__HIGHLIGHT

          public static final EscherPropertyTypes SHADOWSTYLE__HIGHLIGHT

    - #### SHADOWSTYLE__CRMOD

          public static final EscherPropertyTypes SHADOWSTYLE__CRMOD

    - #### SHADOWSTYLE__OPACITY

          public static final EscherPropertyTypes SHADOWSTYLE__OPACITY

    - #### SHADOWSTYLE__OFFSETX

          public static final EscherPropertyTypes SHADOWSTYLE__OFFSETX

    - #### SHADOWSTYLE__OFFSETY

          public static final EscherPropertyTypes SHADOWSTYLE__OFFSETY

    - #### SHADOWSTYLE__SECONDOFFSETX

          public static final EscherPropertyTypes SHADOWSTYLE__SECONDOFFSETX

    - #### SHADOWSTYLE__SECONDOFFSETY

          public static final EscherPropertyTypes SHADOWSTYLE__SECONDOFFSETY

    - #### SHADOWSTYLE__SCALEXTOX

          public static final EscherPropertyTypes SHADOWSTYLE__SCALEXTOX

    - #### SHADOWSTYLE__SCALEYTOX

          public static final EscherPropertyTypes SHADOWSTYLE__SCALEYTOX

    - #### SHADOWSTYLE__SCALEXTOY

          public static final EscherPropertyTypes SHADOWSTYLE__SCALEXTOY

    - #### SHADOWSTYLE__SCALEYTOY

          public static final EscherPropertyTypes SHADOWSTYLE__SCALEYTOY

    - #### SHADOWSTYLE__PERSPECTIVEX

          public static final EscherPropertyTypes SHADOWSTYLE__PERSPECTIVEX

    - #### SHADOWSTYLE__PERSPECTIVEY

          public static final EscherPropertyTypes SHADOWSTYLE__PERSPECTIVEY

    - #### SHADOWSTYLE__WEIGHT

          public static final EscherPropertyTypes SHADOWSTYLE__WEIGHT

    - #### SHADOWSTYLE__ORIGINX

          public static final EscherPropertyTypes SHADOWSTYLE__ORIGINX

    - #### SHADOWSTYLE__ORIGINY

          public static final EscherPropertyTypes SHADOWSTYLE__ORIGINY

    - #### SHADOWSTYLE__SHADOW

          public static final EscherPropertyTypes SHADOWSTYLE__SHADOW

    - #### SHADOWSTYLE__SHADOWOBSURED

          public static final EscherPropertyTypes SHADOWSTYLE__SHADOWOBSURED

    - #### PERSPECTIVE__TYPE

          public static final EscherPropertyTypes PERSPECTIVE__TYPE

    - #### PERSPECTIVE__OFFSETX

          public static final EscherPropertyTypes PERSPECTIVE__OFFSETX

    - #### PERSPECTIVE__OFFSETY

          public static final EscherPropertyTypes PERSPECTIVE__OFFSETY

    - #### PERSPECTIVE__SCALEXTOX

          public static final EscherPropertyTypes PERSPECTIVE__SCALEXTOX

    - #### PERSPECTIVE__SCALEYTOX

          public static final EscherPropertyTypes PERSPECTIVE__SCALEYTOX

    - #### PERSPECTIVE__SCALEXTOY

          public static final EscherPropertyTypes PERSPECTIVE__SCALEXTOY

    - #### PERSPECTIVE__SCALEYTOY

          public static final EscherPropertyTypes PERSPECTIVE__SCALEYTOY

    - #### PERSPECTIVE__PERSPECTIVEX

          public static final EscherPropertyTypes PERSPECTIVE__PERSPECTIVEX

    - #### PERSPECTIVE__PERSPECTIVEY

          public static final EscherPropertyTypes PERSPECTIVE__PERSPECTIVEY

    - #### PERSPECTIVE__WEIGHT

          public static final EscherPropertyTypes PERSPECTIVE__WEIGHT

    - #### PERSPECTIVE__ORIGINX

          public static final EscherPropertyTypes PERSPECTIVE__ORIGINX

    - #### PERSPECTIVE__ORIGINY

          public static final EscherPropertyTypes PERSPECTIVE__ORIGINY

    - #### PERSPECTIVE__PERSPECTIVEON

          public static final EscherPropertyTypes PERSPECTIVE__PERSPECTIVEON

    - #### THREED__SPECULARAMOUNT

          public static final EscherPropertyTypes THREED__SPECULARAMOUNT

    - #### THREED__DIFFUSEAMOUNT

          public static final EscherPropertyTypes THREED__DIFFUSEAMOUNT

    - #### THREED__SHININESS

          public static final EscherPropertyTypes THREED__SHININESS

    - #### THREED__EDGETHICKNESS

          public static final EscherPropertyTypes THREED__EDGETHICKNESS

    - #### THREED__EXTRUDEFORWARD

          public static final EscherPropertyTypes THREED__EXTRUDEFORWARD

    - #### THREED__EXTRUDEBACKWARD

          public static final EscherPropertyTypes THREED__EXTRUDEBACKWARD

    - #### RESERVED646

          public static final EscherPropertyTypes RESERVED646

    - #### THREED__EXTRUSIONCOLOR

          public static final EscherPropertyTypes THREED__EXTRUSIONCOLOR

    - #### THREED__CRMOD

          public static final EscherPropertyTypes THREED__CRMOD

    - #### THREED__EXTRUSIONCOLOREXT

          public static final EscherPropertyTypes THREED__EXTRUSIONCOLOREXT

    - #### RESERVED650

          public static final EscherPropertyTypes RESERVED650

    - #### THREED__EXTRUSIONCOLOREXTMOD

          public static final EscherPropertyTypes THREED__EXTRUSIONCOLOREXTMOD

    - #### RESERVED652

          public static final EscherPropertyTypes RESERVED652

    - #### RESERVED653

          public static final EscherPropertyTypes RESERVED653

    - #### THREED__BOOLEAN_PROPERTIES

          public static final EscherPropertyTypes THREED__BOOLEAN_PROPERTIES

    - #### THREED__EXTRUDEPLANE

          public static final EscherPropertyTypes THREED__EXTRUDEPLANE

    - #### THREED__3DEFFECT

          public static final EscherPropertyTypes THREED__3DEFFECT

    - #### THREED__METALLIC

          public static final EscherPropertyTypes THREED__METALLIC

    - #### THREED__USEEXTRUSIONCOLOR

          public static final EscherPropertyTypes THREED__USEEXTRUSIONCOLOR

    - #### THREED__LIGHTFACE

          public static final EscherPropertyTypes THREED__LIGHTFACE

    - #### THREEDSTYLE__YROTATIONANGLE

          public static final EscherPropertyTypes THREEDSTYLE__YROTATIONANGLE

    - #### THREEDSTYLE__XROTATIONANGLE

          public static final EscherPropertyTypes THREEDSTYLE__XROTATIONANGLE

    - #### THREEDSTYLE__ROTATIONAXISX

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONAXISX

    - #### THREEDSTYLE__ROTATIONAXISY

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONAXISY

    - #### THREEDSTYLE__ROTATIONAXISZ

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONAXISZ

    - #### THREEDSTYLE__ROTATIONANGLE

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONANGLE

    - #### THREEDSTYLE__ROTATIONCENTERX

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONCENTERX

    - #### THREEDSTYLE__ROTATIONCENTERY

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONCENTERY

    - #### THREEDSTYLE__ROTATIONCENTERZ

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONCENTERZ

    - #### THREEDSTYLE__RENDERMODE

          public static final EscherPropertyTypes THREEDSTYLE__RENDERMODE

    - #### THREEDSTYLE__TOLERANCE

          public static final EscherPropertyTypes THREEDSTYLE__TOLERANCE

    - #### THREEDSTYLE__XVIEWPOINT

          public static final EscherPropertyTypes THREEDSTYLE__XVIEWPOINT

    - #### THREEDSTYLE__YVIEWPOINT

          public static final EscherPropertyTypes THREEDSTYLE__YVIEWPOINT

    - #### THREEDSTYLE__ZVIEWPOINT

          public static final EscherPropertyTypes THREEDSTYLE__ZVIEWPOINT

    - #### THREEDSTYLE__ORIGINX

          public static final EscherPropertyTypes THREEDSTYLE__ORIGINX

    - #### THREEDSTYLE__ORIGINY

          public static final EscherPropertyTypes THREEDSTYLE__ORIGINY

    - #### THREEDSTYLE__SKEWANGLE

          public static final EscherPropertyTypes THREEDSTYLE__SKEWANGLE

    - #### THREEDSTYLE__SKEWAMOUNT

          public static final EscherPropertyTypes THREEDSTYLE__SKEWAMOUNT

    - #### THREEDSTYLE__AMBIENTINTENSITY

          public static final EscherPropertyTypes THREEDSTYLE__AMBIENTINTENSITY

    - #### THREEDSTYLE__KEYX

          public static final EscherPropertyTypes THREEDSTYLE__KEYX

    - #### THREEDSTYLE__KEYY

          public static final EscherPropertyTypes THREEDSTYLE__KEYY

    - #### THREEDSTYLE__KEYZ

          public static final EscherPropertyTypes THREEDSTYLE__KEYZ

    - #### THREEDSTYLE__KEYINTENSITY

          public static final EscherPropertyTypes THREEDSTYLE__KEYINTENSITY

    - #### THREEDSTYLE__FILLX

          public static final EscherPropertyTypes THREEDSTYLE__FILLX

    - #### THREEDSTYLE__FILLY

          public static final EscherPropertyTypes THREEDSTYLE__FILLY

    - #### THREEDSTYLE__FILLZ

          public static final EscherPropertyTypes THREEDSTYLE__FILLZ

    - #### THREEDSTYLE__FILLINTENSITY

          public static final EscherPropertyTypes THREEDSTYLE__FILLINTENSITY

    - #### THREEDSTYLE__CONSTRAINROTATION

          public static final EscherPropertyTypes THREEDSTYLE__CONSTRAINROTATION

    - #### THREEDSTYLE__ROTATIONCENTERAUTO

          public static final EscherPropertyTypes THREEDSTYLE__ROTATIONCENTERAUTO

    - #### THREEDSTYLE__PARALLEL

          public static final EscherPropertyTypes THREEDSTYLE__PARALLEL

    - #### THREEDSTYLE__KEYHARSH

          public static final EscherPropertyTypes THREEDSTYLE__KEYHARSH

    - #### THREEDSTYLE__FILLHARSH

          public static final EscherPropertyTypes THREEDSTYLE__FILLHARSH

    - #### SHAPE__MASTER

          public static final EscherPropertyTypes SHAPE__MASTER

    - #### SHAPE__CONNECTORSTYLE

          public static final EscherPropertyTypes SHAPE__CONNECTORSTYLE

    - #### SHAPE__BLACKANDWHITESETTINGS

          public static final EscherPropertyTypes SHAPE__BLACKANDWHITESETTINGS

    - #### SHAPE__WMODEPUREBW

          public static final EscherPropertyTypes SHAPE__WMODEPUREBW

    - #### SHAPE__WMODEBW

          public static final EscherPropertyTypes SHAPE__WMODEBW

    - #### SHAPE__OLEICON

          public static final EscherPropertyTypes SHAPE__OLEICON

    - #### SHAPE__PREFERRELATIVERESIZE

          public static final EscherPropertyTypes SHAPE__PREFERRELATIVERESIZE

    - #### SHAPE__LOCKSHAPETYPE

          public static final EscherPropertyTypes SHAPE__LOCKSHAPETYPE

    - #### SHAPE__DELETEATTACHEDOBJECT

          public static final EscherPropertyTypes SHAPE__DELETEATTACHEDOBJECT

    - #### SHAPE__BACKGROUNDSHAPE

          public static final EscherPropertyTypes SHAPE__BACKGROUNDSHAPE

    - #### CALLOUT__CALLOUTTYPE

          public static final EscherPropertyTypes CALLOUT__CALLOUTTYPE

    - #### CALLOUT__XYCALLOUTGAP

          public static final EscherPropertyTypes CALLOUT__XYCALLOUTGAP

    - #### CALLOUT__CALLOUTANGLE

          public static final EscherPropertyTypes CALLOUT__CALLOUTANGLE

    - #### CALLOUT__CALLOUTDROPTYPE

          public static final EscherPropertyTypes CALLOUT__CALLOUTDROPTYPE

    - #### CALLOUT__CALLOUTDROPSPECIFIED

          public static final EscherPropertyTypes CALLOUT__CALLOUTDROPSPECIFIED

    - #### CALLOUT__CALLOUTLENGTHSPECIFIED

          public static final EscherPropertyTypes CALLOUT__CALLOUTLENGTHSPECIFIED

    - #### CALLOUT__ISCALLOUT

          public static final EscherPropertyTypes CALLOUT__ISCALLOUT

    - #### CALLOUT__CALLOUTACCENTBAR

          public static final EscherPropertyTypes CALLOUT__CALLOUTACCENTBAR

    - #### CALLOUT__CALLOUTTEXTBORDER

          public static final EscherPropertyTypes CALLOUT__CALLOUTTEXTBORDER

    - #### CALLOUT__CALLOUTMINUSX

          public static final EscherPropertyTypes CALLOUT__CALLOUTMINUSX

    - #### CALLOUT__CALLOUTMINUSY

          public static final EscherPropertyTypes CALLOUT__CALLOUTMINUSY

    - #### CALLOUT__DROPAUTO

          public static final EscherPropertyTypes CALLOUT__DROPAUTO

    - #### CALLOUT__LENGTHSPECIFIED

          public static final EscherPropertyTypes CALLOUT__LENGTHSPECIFIED

    - #### GROUPSHAPE__SHAPENAME

          public static final EscherPropertyTypes GROUPSHAPE__SHAPENAME

    - #### GROUPSHAPE__DESCRIPTION

          public static final EscherPropertyTypes GROUPSHAPE__DESCRIPTION

    - #### GROUPSHAPE__HYPERLINK

          public static final EscherPropertyTypes GROUPSHAPE__HYPERLINK

    - #### GROUPSHAPE__WRAPPOLYGONVERTICES

          public static final EscherPropertyTypes GROUPSHAPE__WRAPPOLYGONVERTICES

    - #### GROUPSHAPE__WRAPDISTLEFT

          public static final EscherPropertyTypes GROUPSHAPE__WRAPDISTLEFT

    - #### GROUPSHAPE__WRAPDISTTOP

          public static final EscherPropertyTypes GROUPSHAPE__WRAPDISTTOP

    - #### GROUPSHAPE__WRAPDISTRIGHT

          public static final EscherPropertyTypes GROUPSHAPE__WRAPDISTRIGHT

    - #### GROUPSHAPE__WRAPDISTBOTTOM

          public static final EscherPropertyTypes GROUPSHAPE__WRAPDISTBOTTOM

    - #### GROUPSHAPE__REGROUPID

          public static final EscherPropertyTypes GROUPSHAPE__REGROUPID

    - #### GROUPSHAPE__UNUSED906

          public static final EscherPropertyTypes GROUPSHAPE__UNUSED906

    - #### GROUPSHAPE__TOOLTIP

          public static final EscherPropertyTypes GROUPSHAPE__TOOLTIP

    - #### GROUPSHAPE__SCRIPT

          public static final EscherPropertyTypes GROUPSHAPE__SCRIPT

    - #### GROUPSHAPE__POSH

          public static final EscherPropertyTypes GROUPSHAPE__POSH

    - #### GROUPSHAPE__POSRELH

          public static final EscherPropertyTypes GROUPSHAPE__POSRELH

    - #### GROUPSHAPE__POSV

          public static final EscherPropertyTypes GROUPSHAPE__POSV

    - #### GROUPSHAPE__POSRELV

          public static final EscherPropertyTypes GROUPSHAPE__POSRELV

    - #### GROUPSHAPE__HR_PCT

          public static final EscherPropertyTypes GROUPSHAPE__HR_PCT

    - #### GROUPSHAPE__HR_ALIGN

          public static final EscherPropertyTypes GROUPSHAPE__HR_ALIGN

    - #### GROUPSHAPE__HR_HEIGHT

          public static final EscherPropertyTypes GROUPSHAPE__HR_HEIGHT

    - #### GROUPSHAPE__HR_WIDTH

          public static final EscherPropertyTypes GROUPSHAPE__HR_WIDTH

    - #### GROUPSHAPE__SCRIPTEXT

          public static final EscherPropertyTypes GROUPSHAPE__SCRIPTEXT

    - #### GROUPSHAPE__SCRIPTLANG

          public static final EscherPropertyTypes GROUPSHAPE__SCRIPTLANG

    - #### GROUPSHAPE__BORDERTOPCOLOR

          public static final EscherPropertyTypes GROUPSHAPE__BORDERTOPCOLOR

    - #### GROUPSHAPE__BORDERLEFTCOLOR

          public static final EscherPropertyTypes GROUPSHAPE__BORDERLEFTCOLOR

    - #### GROUPSHAPE__BORDERBOTTOMCOLOR

          public static final EscherPropertyTypes GROUPSHAPE__BORDERBOTTOMCOLOR

    - #### GROUPSHAPE__BORDERRIGHTCOLOR

          public static final EscherPropertyTypes GROUPSHAPE__BORDERRIGHTCOLOR

    - #### GROUPSHAPE__TABLEPROPERTIES

          public static final EscherPropertyTypes GROUPSHAPE__TABLEPROPERTIES

    - #### GROUPSHAPE__TABLEROWPROPERTIES

          public static final EscherPropertyTypes GROUPSHAPE__TABLEROWPROPERTIES

    - #### GROUPSHAPE__WEBBOT

          public static final EscherPropertyTypes GROUPSHAPE__WEBBOT

    - #### GROUPSHAPE__METROBLOB

          public static final EscherPropertyTypes GROUPSHAPE__METROBLOB

    - #### GROUPSHAPE__ZORDER

          public static final EscherPropertyTypes GROUPSHAPE__ZORDER

    - #### GROUPSHAPE__EDITEDWRAP

          public static final EscherPropertyTypes GROUPSHAPE__EDITEDWRAP

    - #### GROUPSHAPE__BEHINDDOCUMENT

          public static final EscherPropertyTypes GROUPSHAPE__BEHINDDOCUMENT

    - #### GROUPSHAPE__ONDBLCLICKNOTIFY

          public static final EscherPropertyTypes GROUPSHAPE__ONDBLCLICKNOTIFY

    - #### GROUPSHAPE__ISBUTTON

          public static final EscherPropertyTypes GROUPSHAPE__ISBUTTON

    - #### GROUPSHAPE__1DADJUSTMENT

          public static final EscherPropertyTypes GROUPSHAPE__1DADJUSTMENT

    - #### GROUPSHAPE__HIDDEN

          public static final EscherPropertyTypes GROUPSHAPE__HIDDEN

    - #### GROUPSHAPE__FLAGS

          public static final EscherPropertyTypes GROUPSHAPE__FLAGS

    - #### UNKNOWN

          public static final EscherPropertyTypes UNKNOWN

  - ### Field Detail

    - #### propNumber

          public final short propNumber

      the property number part of the property id, i.e. the id without is_blip/is_complex flag

    - #### propName

          public final java.lang.String propName

    - #### holder

          public final EscherPropertyTypesHolder holder

  - ### Method Detail

    - #### values

          public static EscherPropertyTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EscherPropertyTypes c : EscherPropertyTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EscherPropertyTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPropertyId

          public short getPropertyId()

    - #### forPropertyID

          public static EscherPropertyTypes forPropertyID(int propertyId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.